chromium-ozone-wayland compilation error in yocto on opensuse host

cancel
Showing results for 
Search instead for 
Did you mean: 

chromium-ozone-wayland compilation error in yocto on opensuse host

Jump to solution
124 Views
jin1
Contributor V

hi  all ,

I am playing imx8qm iwave board  iw-5.4.24  version yocto buiding on opensuse host.

it can not pass compilation for chromium-ozone-wayland , anyway I can pass it on host ubuntu18.04,

the error is as below:

but my opensuse host is much faster than the ubuntu host. I want to use the opensuse host.

I think  I need to update some packages in my host, my python has been updated to 3.6, but I do not know what I need to update more, I can not find the solutions on the Internet.

Any help?

Thank you.

 

error:.....

In file included from ../../base/containers/unique_any.h:10:0,

|                  from ../../base/containers/unique_any.cc:5:

| ../../base/containers/any_internal.h:48:18: error: enclosing class of constexpr non-static member function ‘bool base::internal::AnyInternal::has_value() const’ is not a literal type

|    constexpr bool has_value() const noexcept { return !!type_ops_; }

|                   ^~~~~~~~~

| ../../base/containers/any_internal.h:24:19: note: ‘base::internal::AnyInternal’ is not literal because:

|  class BASE_EXPORT AnyInternal {

|                    ^~~~~~~~~~~

| ../../base/containers/any_internal.h:24:19: note:   ‘base::internal::AnyInternal’ has a non-trivial destructor

| ../../base/containers/any_internal.h:163:59: error: ‘constexpr’ needed for in-class initialization of static data member ‘const base::internal::AnyInternal::TypeOps base::internal::AnyInternal::TypeOpsHelper<T>::type_ops’ of non-integral type [-fpermissive]

|  const AnyInternal::TypeOps AnyInternal::TypeOpsHelper<T>::type_ops;

|                                                            ^~~~~~~~

| [708/23906] aarch64-poky-linux-g++  -fstack-protector-strong  -D_FORTIFY_SOURCE=2 -Wformat

....

 

 

 

 

0 Kudos
1 Solution
118 Views
jimmychan
NXP TechSupport
NXP TechSupport

We recommended the host is Ubuntu 18.04 in our Yocto guide Chapter 3 Host Setup.

View solution in original post

0 Kudos
1 Reply
119 Views
jimmychan
NXP TechSupport
NXP TechSupport

We recommended the host is Ubuntu 18.04 in our Yocto guide Chapter 3 Host Setup.

View solution in original post

0 Kudos